Bug 501902 - Segmentation fault when using pyclutter
Segmentation fault when using pyclutter
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pyclutter (Show other bugs)
11
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-21 05:29 EDT by Russell Strong
Modified: 2010-06-28 08:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:38:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Strong 2009-05-21 05:29:15 EDT
Description of problem:

start python in a gnome-terminal.
type:
import clutter

python will then terminate with a segmentation fault.

[russell@studio mainline]$ gdb python
GNU gdb (GDB) Fedora (6.8.50.20090302-23.fc11)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
(gdb) r
Starting program: /usr/bin/python 
[Thread debugging using libthread_db enabled]
Python 2.6 (r26:66714, Mar 17 2009, 11:44:14) 
[GCC 4.4.0 20090313 (Red Hat 4.4.0-0.26)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import clutter

Program received signal SIGSEGV, Segmentation fault.
pyg_constant_strip_prefix (name=0x30 <Address 0x30 out of bounds>, strip_prefix=0x7ffff1745dc6 "COGL_") at gobjectmodule.c:2053
2053		if (name[i] != strip_prefix[i] && name[i] != '_') {
Current language:  auto; currently minimal
Missing separate debuginfos, use: debuginfo-install PackageKit-gtk-module-0.4.6-8.fc11.x86_64 atk-1.25.2-2.fc11.x86_64 bug-buddy-2.26.0-2.fc11.x86_64 dbus-glib-0.80-2.fc11.x86_64 dbus-libs-1.2.12-1.fc11.x86_64 elfutils-libelf-0.140-2.fc11.x86_64 fontconfig-2.6.99.behdad.20090508-1.fc11.x86_64 freetype-2.3.9-3.fc11.x86_64 gtk-nodoka-engine-0.7.2-4.fc11.x86_64 libX11-1.2-3.fc11.x86_64 libXau-1.0.4-5.fc11.x86_64 libXcomposite-0.4.0-7.fc11.x86_64 libXcursor-1.1.9-4.fc11.x86_64 libXdamage-1.1.1-6.fc11.x86_64 libXext-1.0.99.1-2.fc11.x86_64 libXfixes-4.0.3-5.fc11.x86_64 libXi-1.2.1-1.fc11.x86_64 libXinerama-1.0.3-4.fc11.x86_64 libXrandr-1.2.99.4-3.fc11.x86_64 libXrender-0.9.4-5.fc11.x86_64 libXxf86vm-1.0.2-2.fc11.x86_64 libattr-2.4.43-3.fc11.x86_64 libcanberra-0.12-1.fc11.x86_64 libcanberra-gtk2-0.12-1.fc11.x86_64 libcap-2.16-2.fc11.x86_64 libdrm-2.4.6-6.fc11.x86_64 libgcc-4.4.0-4.x86_64 libogg-1.1.3-11.fc11.x86_64 libpng-1.2.35-1.fc11.x86_64 libselinux-2.0.80-1.fc11.x86_64 libstdc++-4.4.0-4.x86_64 libtdb-1.1.3-14.fc11.x86_64 libtool-ltdl-2.2.6-11.fc11.x86_64 libvorbis-1.2.0-7.fc11.x86_64 libxcb-1.2-3.fc11.x86_64 mesa-libGL-7.5-0.14.fc11.x86_64 pixman-0.14.0-2.fc11.x86_64 pycairo-1.8.2-2.fc11.x86_64 pygtk2-2.14.1-1.fc11.x86_64
(gdb) list
2048	
2049	    /* Check so name starts with strip_prefix, if it doesn't:
2050	     * return the rest of the part which doesn't match
2051	     */
2052	    for (i = 0; i < prefix_len; i++) {
2053		if (name[i] != strip_prefix[i] && name[i] != '_') {
2054		    return &name[i];
2055		}
2056	    }
2057	
(gdb) bt
#0  pyg_constant_strip_prefix (name=0x30 <Address 0x30 out of bounds>, strip_prefix=0x7ffff1745dc6 "COGL_") at gobjectmodule.c:2053
#1  0x00007ffff196e0a0 in pyg_flags_add (module=0xa4ce50, typename=<value optimized out>, strip_prefix=<value optimized out>, gtype=<value optimized out>)
    at pygflags.c:276
#2  0x00007ffff17450e3 in pycogl_add_constants (module=0xa4ce50, strip_prefix=0x7ffff1745dc6 "COGL_") at cogl.c:1475
#3  0x00007ffff17284a4 in init_clutter () at cluttermodule.c:114
#4  0x000000343d2f4da8 in _PyImport_LoadDynamicModule (name=0x7fffffff85e0 "clutter._clutter", 
    pathname=0x7fffffff74f0 "/usr/lib64/python2.6/site-packages/clutter/_clutter.so", fp=<value optimized out>) at Python/importdl.c:53
#5  0x000000343d2f2f75 in import_submodule (mod=0x7ffff7f0ac20, subname=0x7ffff7f0b564 "_clutter", fullname=0x7fffffff85e0 "clutter._clutter")
    at Python/import.c:2545
#6  0x000000343d2f34dc in ensure_fromlist (mod=0x7ffff7f0ac20, fromlist=0x7ffff7fcfed0, buf=<value optimized out>, buflen=7, recursive=0)
    at Python/import.c:2456
#7  0x000000343d2f3b46 in import_module_level (name=0x0, globals=<value optimized out>, locals=<value optimized out>, fromlist=0x7ffff7fcfed0, 
    level=<value optimized out>) at Python/import.c:2124
#8  0x000000343d2f3e04 in PyImport_ImportModuleLevel (name=0x7ffff7f0b4a4 "clutter", globals=0x630de0, locals=0x630de0, fromlist=0x7ffff7fcfed0, 
    level=<value optimized out>) at Python/import.c:2138
#9  0x000000343d2d90af in builtin___import__ (self=<value optimized out>, args=<value optimized out>, kwds=<value optimized out>) at Python/bltinmodule.c:48
#10 0x000000343d243ce3 in PyObject_Call (func=0x7ffff7fadea8, arg=0x5, kw=0x30) at Objects/abstract.c:2487
#11 0x000000343d2d95f3 in PyEval_CallObjectWithKeywords (func=0x7ffff7fadea8, arg=0x7ffff7ef6c58, kw=0x30) at Python/ceval.c:3548
#12 0x000000343d2dc276 in PyEval_EvalFrameEx (f=0x6aa8c0, throwflag=<value optimized out>) at Python/ceval.c:2124
#13 0x000000343d2e1123 in PyEval_EvalCodeEx (co=0x7ffff7ef84e0, globals=<value optimized out>, locals=<value optimized out>, args=0x0, 
    argcount=<value optimized out>, kws=0x0, kwcount=0, defs=0x0, defcount=0, closure=0x0) at Python/ceval.c:2942
#14 0x000000343d2e1232 in PyEval_EvalCode (co=0xfffffffffffffffa, globals=0x5, locals=0x30) at Python/ceval.c:515
#15 0x000000343d2f15e4 in PyImport_ExecCodeModuleEx (name=0x7fffffffcc40 "clutter", co=0x7ffff7ef84e0, 
    pathname=0x7fffffff9a80 "/usr/lib64/python2.6/site-packages/clutter/__init__.pyc") at Python/import.c:680
#16 0x000000343d2f1a08 in load_source_module (name=0x7fffffffcc40 "clutter", 
    pathname=0x7fffffff9a80 "/usr/lib64/python2.6/site-packages/clutter/__init__.pyc", fp=<value optimized out>) at Python/import.c:971
#17 0x000000343d2f283f in load_package (name=0x7fffffffcc40 "clutter", pathname=<value optimized out>) at Python/import.c:1027
#18 0x000000343d2f2f75 in import_submodule (mod=0x343d57e710, subname=0x7fffffffcc40 "clutter", fullname=0x7fffffffcc40 "clutter") at Python/import.c:2545
#19 0x000000343d2f3204 in load_next (mod=0x343d57e710, altmod=<value optimized out>, p_name=<value optimized out>, buf=0x7fffffffcc40 "clutter", 
    p_buflen=<value optimized out>) at Python/import.c:2365
#20 0x000000343d2f3872 in import_module_level (name=0x0, globals=<value optimized out>, locals=<value optimized out>, fromlist=0x343d57e710, level=-1)
    at Python/import.c:2087
#21 0x000000343d2f3e04 in PyImport_ImportModuleLevel (name=0x7ffff7f0b4a4 "clutter", globals=0x62c560, locals=0x62c560, fromlist=0x343d57e710, 
    level=<value optimized out>) at Python/import.c:2138
#22 0x000000343d2d90af in builtin___import__ (self=<value optimized out>, args=<value optimized out>, kwds=<value optimized out>) at Python/bltinmodule.c:48
#23 0x000000343d243ce3 in PyObject_Call (func=0x7ffff7fadea8, arg=0x5, kw=0x30) at Objects/abstract.c:2487
#24 0x000000343d2d95f3 in PyEval_CallObjectWithKeywords (func=0x7ffff7fadea8, arg=0x7ffff7fd73c0, kw=0x30) at Python/ceval.c:3548
#25 0x000000343d2dc276 in PyEval_EvalFrameEx (f=0x6a98d0, throwflag=<value optimized out>) at Python/ceval.c:2124
#26 0x000000343d2e1123 in PyEval_EvalCodeEx (co=0x7ffff7ef8828, globals=<value optimized out>, locals=<value optimized out>, args=0x0, 
    argcount=<value optimized out>, kws=0x0, kwcount=0, defs=0x0, defcount=0, closure=0x0) at Python/ceval.c:2942
#27 0x000000343d2e1232 in PyEval_EvalCode (co=0xfffffffffffffffa, globals=0x5, locals=0x30) at Python/ceval.c:515
#28 0x000000343d2fc8dc in run_mod (mod=<value optimized out>, filename=<value optimized out>, globals=0x62c560, locals=0x62c560, 
    flags=<value optimized out>, arena=<value optimized out>) at Python/pythonrun.c:1330
---Type <return> to continue, or q <return> to quit---
#29 0x000000343d2fe31e in PyRun_InteractiveOneFlags (fp=<value optimized out>, filename=0x343d342bec "<stdin>", flags=0x7fffffffe1c0)
    at Python/pythonrun.c:836
#30 0x000000343d2fe53e in PyRun_InteractiveLoopFlags (fp=0x3425f686a0, filename=0x343d342bec "<stdin>", flags=0x7fffffffe1c0) at Python/pythonrun.c:756
#31 0x000000343d2fe64c in PyRun_AnyFileExFlags (fp=0x3425f686a0, filename=0x343d342bec "<stdin>", closeit=0, flags=0x7fffffffe1c0) at Python/pythonrun.c:725
#32 0x000000343d30a8c9 in Py_Main (argc=0, argv=<value optimized out>) at Modules/main.c:597
#33 0x0000003425c1ea2d in __libc_start_main (main=<value optimized out>, argc=<value optimized out>, ubp_av=<value optimized out>, 
    init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fffffffe2d8) at libc-start.c:220
#34 0x0000000000400649 in _start ()
(gdb) 



Hope I've blamed the right component?
Comment 1 Allisson Azevedo 2009-05-21 06:42:27 EDT
Hi,

The same bug is listed here: http://bugzilla.o-hand.com/show_bug.cgi?id=1605
Comment 2 Bug Zapper 2009-06-09 12:14:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Debarshi Ray 2009-08-03 00:29:21 EDT
As noted on the upstream bug report, it no longer causes a segmentation fault. It simply exits.

[rishi@freebook ~]$ rpm -q pyclutter
pyclutter-0.8.2-2.fc11.x86_64
[rishi@freebook ~]$ python
Python 2.6 (r26:66714, Jun  8 2009, 16:07:29) 
[GCC 4.4.0 20090506 (Red Hat 4.4.0-4)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import clutter
[rishi@freebook ~]$
Comment 4 Itamar Reis Peixoto 2009-08-03 14:42:54 EDT
hi.

do you still have this problem ?
Comment 5 Debarshi Ray 2009-08-03 14:50:32 EDT
As you can see from my comment, a few hours ago, the problem is still there. Also have a look at the upstream bug: http://bugzilla.o-hand.com/show_bug.cgi?id=1605
Comment 6 Steve Chaplin 2009-08-04 07:40:26 EDT
pycairo 1.8.2 has a C API bug which may be related to this problem.
See https://bugzilla.redhat.com/show_bug.cgi?id=515455 for the details.
Comment 7 Bug Zapper 2010-04-27 10:26:22 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 08:38:21 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.